// 为了处理进入页面 Scene 的问题, 封装一下页面跳转

export default function(taro) {
  const naviFunc = [
    'switchTab',
    'reLaunch',
    'redirectTo',
    'navigateTo',
    'navigateBack',
  ];

  naviFunc.forEach((fnKey) => {
    const orignFn = taro[fnKey]

    taro[fnKey] = function(...args) {
      
      
      orignFn(...args)
    }
  })
}
